// pages/apply/index.js
import * as UTIL from '../../../../utils/util.js';
import * as API from '../../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    show:false,
    baseItem:"",
    item:{},
    oldPwd:"",
    newPwd:"",
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getUserInfo()
  },
   /* 获取用户信息*/
   getUserInfo(){
    UTIL.httpRequest(API.URL_GET_GETINFO, {method:'GET'}, {
      success: (res) => {
        if (res.code == API.SUCCESS_CODE) {
          this.setData({item:res.user})
        }
      }
    })
  },
  bindOldInput: function (e) {
    console.log(e);
    this.setData({
      oldPwd: e.detail.value
    })
  },
  bindNewInput: function (e) {
    console.log(e);
    this.setData({
      newPwd: e.detail.value
    })
  },
updatePassword(){
  let newPassword = this.data.newPwd;
  let oldPassword = this.data.oldPwd;
  const d = {oldPassword, newPassword}
  
  if(newPassword==""||oldPassword==""){
    wx.showToast({
      title: '新旧密码不能为空!',
      duration: 2000,
      icon:"none"
    })
  }else if(newPassword==oldPassword){
    wx.showToast({
      title: '新旧密码不能相同!',
      duration: 2000,
      icon:"none"
    })
  }else{
    wx.request({
      url:API.URL_POST_UPDATEPWD,
      data: d,
      method:  'POST',
      timeout: 60000,
      header: {
         'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization':'Bearer '+getApp().globalData.userInfo.token,
        
      },
      success: function (response) {
        if(response.data.code==200){
          wx.showToast({
            title: response.data.msg,
            duration: 2000,
            icon:"success"
          })
        }else{
          wx.showToast({
            title: response.data.msg,
            duration: 2000,
            icon:"none"
          })
        }
      },
      fail: function (response) {
        console.log(response);
      },
      complete: function (response) {
        console.log(response);
      }
    })
  }
  },
  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})